Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotFieldItem

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotFieldItem

public class PivotFieldItem extends Object
The Class PivotFieldItem.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotFieldItem()`
  Instantiates a new pivot field item.
  `PivotFieldItem​(int index)`
  Instantiates a new pivot field item.
  `PivotFieldItem​(PivotItemType type)`
  Instantiates a new pivot field item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotFieldItem`
  `clone()`
  `String`
  `getCaption()`
  Gets the caption.
  `int`
  `getIndex()`
  Gets the index.
  `PivotItemType`
  `getType()`
  Gets the type.
  `boolean`
  `hasChildItems()`
  Checks for child items.
  `boolean`
  `hasMissingValue()`
  Checks for missing value.
  `boolean`
  `hasStringValue()`
  Checks for string value.
  `boolean`
  `isCalculatedMember()`
  Checks if is calculated member.
  `boolean`
  `isDrillAcrossAttributes()`
  Checks if is drill across attributes.
  `boolean`
  `isExpanded()`
  Checks if is expanded.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isHideDetails()`
  Checks if is hide details.
  `void`
  `setCalculatedMember​(boolean isCalculatedMember)`
  Sets the calculated member.
  `void`
  `setCaption​(String caption)`
  Sets the caption.
  `void`
  `setChildItems​(boolean hasChildItems)`
  Sets the child items.
  `void`
  `setDrillAcrossAttributes​(boolean drillAcrossAttributes)`
  Sets the drill across attributes.
  `void`
  `setExpanded​(boolean expanded)`
  Sets the expanded.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setHideDetails​(boolean hideDetails)`
  Sets the hide details.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setMissingValue​(boolean hasMissingValue)`
  Sets the missing value.
  `void`
  `setStringValue​(boolean hasStringValue)`
  Sets the string value.
  `void`
  `setType​(PivotItemType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotFieldItem

    public PivotFieldItem()
    Instantiates a new pivot field item.

  - ### PivotFieldItem

    public PivotFieldItem​(int index)
    Instantiates a new pivot field item.
    Parameters:
      `index` - the index

  - ### PivotFieldItem

    public PivotFieldItem​(PivotItemType type)
    Instantiates a new pivot field item.
    Parameters:
      `type` - the type

- ## Method Details

  - ### clone

    public PivotFieldItem clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hasChildItems

    public boolean hasChildItems()
    Checks for child items.
    Returns:
      true, if successful

  - ### setChildItems

    public void setChildItems​(boolean hasChildItems)
    Sets the child items.
    Parameters:
      `hasChildItems` - the new child items

  - ### isExpanded

    public boolean isExpanded()
    Checks if is expanded.
    Returns:
      true, if is expanded

  - ### setExpanded

    public void setExpanded​(boolean expanded)
    Sets the expanded.
    Parameters:
      `expanded` - the new expanded

  - ### isDrillAcrossAttributes

    public boolean isDrillAcrossAttributes()
    Checks if is drill across attributes.
    Returns:
      true, if is drill across attributes

  - ### setDrillAcrossAttributes

    public void setDrillAcrossAttributes​(boolean drillAcrossAttributes)
    Sets the drill across attributes.
    Parameters:
      `drillAcrossAttributes` - the new drill across attributes

  - ### isCalculatedMember

    public boolean isCalculatedMember()
    Checks if is calculated member.
    Returns:
      true, if is calculated member

  - ### setCalculatedMember

    public void setCalculatedMember​(boolean isCalculatedMember)
    Sets the calculated member.
    Parameters:
      `isCalculatedMember` - the new calculated member

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### hasMissingValue

    public boolean hasMissingValue()
    Checks for missing value.
    Returns:
      true, if successful

  - ### setMissingValue

    public void setMissingValue​(boolean hasMissingValue)
    Sets the missing value.
    Parameters:
      `hasMissingValue` - the new missing value

  - ### getCaption

    public String getCaption()
    Gets the caption.
    Returns:
      the caption

  - ### setCaption

    public void setCaption​(String caption)
    Sets the caption.
    Parameters:
      `caption` - the new caption

  - ### hasStringValue

    public boolean hasStringValue()
    Checks for string value.
    Returns:
      true, if successful

  - ### setStringValue

    public void setStringValue​(boolean hasStringValue)
    Sets the string value.
    Parameters:
      `hasStringValue` - the new string value

  - ### isHideDetails

    public boolean isHideDetails()
    Checks if is hide details.
    Returns:
      true, if is hide details

  - ### setHideDetails

    public void setHideDetails​(boolean hideDetails)
    Sets the hide details.
    Parameters:
      `hideDetails` - the new hide details

  - ### getType

    public PivotItemType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PivotItemType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index